summaryrefslogtreecommitdiff
path: root/contrib/git-svn/t/lib-git-svn.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <junkio@cox.net>2006-05-24 03:32:31 -0700
committerLibravatar Junio C Hamano <junkio@cox.net>2006-05-24 03:32:31 -0700
commitf54c76f1616cf470ce4bce8eff749272e1c6548c (patch)
treec3dd58a8e23b2028e5c3defde2eae14e42f1e0ca /contrib/git-svn/t/lib-git-svn.sh
parentMerge branch 'master' into next (diff)
parent--summary output should print immediately after stats. (diff)
downloadtgif-f54c76f1616cf470ce4bce8eff749272e1c6548c.tar.xz
Merge branch 'master' into next
* master: --summary output should print immediately after stats. git-svn: ignore expansion of svn:keywords git-svn: starting a 1.1.0-pre development version cvsimport: set up commit environment in perl instead of using env
Diffstat (limited to 'contrib/git-svn/t/lib-git-svn.sh')
-rw-r--r--contrib/git-svn/t/lib-git-svn.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/contrib/git-svn/t/lib-git-svn.sh b/contrib/git-svn/t/lib-git-svn.sh
new file mode 100644
index 0000000000..a98e9d164d
--- /dev/null
+++ b/contrib/git-svn/t/lib-git-svn.sh
@@ -0,0 +1,39 @@
+PATH=$PWD/../:$PATH
+if test -d ../../../t
+then
+ cd ../../../t
+else
+ echo "Must be run in contrib/git-svn/t" >&2
+ exit 1
+fi
+
+. ./test-lib.sh
+
+GIT_DIR=$PWD/.git
+GIT_SVN_DIR=$GIT_DIR/git-svn
+SVN_TREE=$GIT_SVN_DIR/tree
+
+svnadmin >/dev/null 2>&1
+if test $? != 1
+then
+ test_expect_success 'skipping contrib/git-svn test' :
+ test_done
+ exit
+fi
+
+svn >/dev/null 2>&1
+if test $? != 1
+then
+ test_expect_success 'skipping contrib/git-svn test' :
+ test_done
+ exit
+fi
+
+svnrepo=$PWD/svnrepo
+
+set -e
+
+svnadmin create $svnrepo
+svnrepo="file://$svnrepo/test-git-svn"
+
+